

puts "loading sys.SAC.tcl"

proc Set_SAC_Options {} {puts "Set_SAC_Options"
    variable Options

   load_Options

   if {![info exists Options(UseSAC)]}    {set Options(UseSAC) 0}

   update_Options

}

proc SAC_Configure {} {puts "SAC_Configure"}

proc SAC_DAQ-go {} {puts "SAC_DAQ-go"

      WriteVMERegister sac#1.Mode 1   ;#   CAEN mode
      WriteVMERegister sac#1.MON0 2
      WriteVMERegister sac#1.ARM 0
#      WriteVMERegister sac#1.STR 9   ;#  enable acquisition in sys.tcl
}

proc SAC_DAQ-halt {} {puts "SAC_DAQ-halt"

    WriteVMERegister sac#1.STR 0    ;#   disable acquisition also in sys.tcl
}

proc SAC_DAQ-setup {} {puts "SAC_DAQ-setup"

      WriteVMERegister sac#1.STR 0
      SAC_Configure
}

proc SAC_DAQ-flush {} {puts "SAC_DAQ-flush"}

proc SAC_DAQ-reset {} {puts "SAC_DAQ-reset"

    WriteVMERegister sac#1.STR 0
    WriteVMERegister sac#1.EVCLR 0
}

proc define_SAC_config {} {puts "define_SAC_config"
     variable Options

   set maxmodule 0
   for {set i 1} {$i <= 16} {incr i} {
      set z [catch {ReadVMERegisterAttr SAC#$i.VMEStatus} m]
      if {$z!=0} then {break}
      incr maxmodule
   }

   if {$maxmodule > 0} then {set Options(UseSAC) 1} else {set Options(UseSAC) 0}

   if {$maxmodule > 0} then {DefineConfig "0 0 0x0"}
}


proc create_SAC_spectra {} {puts "create_SAC_spectra"}




