

puts "loading sys.V1495.tcl"


proc Set_V1495_Options {} {puts "Set_V1495_Options"
    variable Options

   load_Options

   if {![info exists Options(Use1495)]}    {set Options(Use1495) 0}

   update_Options

}

proc V1495_Configure {} {puts "V1495_Configure"}

proc V1495_DAQ-go {} {puts "V1495_DAQ-go"
   variable Options

    WriteVMERegister v1495#1.TimeStampReset  1

#    WriteVMERegister v1495#1.Config.B9  1   ;#  single shot mode 

    WriteVMERegister v1495#1.Arm  0         ;#  arm

#    WriteVMERegister v1495#1.Config.B8  1   ;#  enable acquisition in sys.tcl
}

proc V1495_DAQ-halt {} {puts "V1495_DAQ-halt"

    WriteVMERegister v1495#1.Config.B8 0     ;#  disable acquisiition also in sys.tcl
}

proc V1495_DAQ-setup {} {puts "V1495_DAQ-setup"

     WriteVMERegister v1495#1.Config.B8 0    ;#  disable acquisiition also in sys.tcl
     V1495_Configure
}

proc V1495_DAQ-flush {} {puts "V1495_DAQ-flush"}

proc V1495_DAQ-reset {} {puts "V1495_DAQ-reset"

     WriteVMERegister v1495#1.Config.B8 0
}

proc define_V1495_config {} {puts "define_V1495_config"
   variable Options

   set maxmodule 0
   for {set i 1} {$i <= 16} {incr i} {
      set z [catch {ReadVMERegisterAttr v1495#$i.Reset} m]
      if {$z!=0} then {break}
      incr maxmodule
   }

   if {$maxmodule > 0} then {set Options(Use1495) 1} else {set Options(Use1495) 0}

puts "Use1495=$Options(Use1495)"

}


proc create_V1495_spectra {} {puts "create_V1495_spectra"}




