

puts "loading sys.VData.tcl"

variable VMEsources 0
variable VMEitems

variable ConfigBase [set ::VMEConfig::ConfigBase]



proc Set_VData_Options {} {puts "Set_VData_Options"
    variable Options

    load_Options

   if {![info exists Options(VData_HistEnable)]} {set Options(VData_HistEnable) 1}
   if {![info exists Options(VData_channels)]}   {set Options(VData_channels) 8192}
   if {![info exists Options(VData_offset)]}     {set Options(VData_offset) 0}
   if {![info exists Options(VData_shift)]}      {set Options(VData_shift) 3}

    update_Options
}

proc VData_Configure {} {puts "VData_Configure"
    variable Options

    update_Options
}

proc Dump_Raw_VME_Data_VData {data} {
     
     set info ""

     foreach word $data {
         if {[string range $word 0 1] != "0x"} then {set word 0x$word}
         if {$word == 0xaa5555aa} then {
             append info "$word - end of dump\n"
             break
         }
         if {$word == 0x55aaaa55} then {
             append info "$word - end of event\n"
             continue
         }
         append info "[format "0x%8x" $word]"
         append info "\n"
     }
   return $info
}


proc VData_DAQ-go {} {puts "VData_DAQ-go"

}

proc VData_DAQ-halt {} {puts "VData_DAQ-halt"}

proc VData_DAQ-setup {} {puts "VData_DAQ-setup"
    variable VMEsources

    set VMEsources 0
    VData_Configure

}

proc VData_DAQ-flush {} {puts "VData_DAQ-flush"

}

proc VData_DAQ-reset {} {puts "VData_DAQ-reset"}

proc define_VData_config {} {puts "define_VData_config"
    variable VMEitems
    variable VMEsources

    if {$VMEsources == 0} then {VMEload}
    if {$VMEsources == 0} then {return}

#    format of configuration record is  Address_Space VME_Address Data_Width Group Item
#    Where Address_Space is  A16U A16S A24UD A24UP A24SD A24SP A32UD A32UP A32SD A32SP
#          Data_Width is D8 D16 D32

    for {set i 0} {$i < $VMEsources} {incr i} {
        switch $VMEitems($i,modifier) {
           A16U -
           A16S {set m 16}
           default {set m 32}
        }
        switch $VMEitems($i,width) {
           D16  {set w 16}
           default {set w 32}
        }
        set params "$m $VMEitems($i,address) $w $VMEitems($i,group) $VMEitems($i,item)"
        DataAcqCommand 14 "Define VME Data Source Configuration" "$params" 
    }

}

proc create_VData_spectra {} {puts "create_VData_spectra"
    variable Options 

}

proc VMEload {}  {
   variable VMEitems
   variable VMEsources
   variable ConfigBase [set ::VMEConfig::ConfigBase]

#    load configuration from file

    set VMEsources 0

    set Configfile [file join $ConfigBase VMEData.dat]
    set z [catch {open $Configfile r} f]
    if {$z != 0} then {return}

    foreach i [split [read $f] \n] {
       if {[string length $i] == 0} {continue}
       if {[llength $i] == 5} {
           set VMEitems($VMEsources,address) [first $i]
           set VMEitems($VMEsources,modifier) [second $i]
           set VMEitems($VMEsources,width)   [third $i]
           set VMEitems($VMEsources,group)   [fourth $i]
           set VMEitems($VMEsources,item)    [fifth $i]
           incr VMEsources
       }
    }

    close $f
}


